Name:           codelite
Version:        9.2
Release:        %mkrel 4
Summary:        A powerful open-source, cross platform C/C++/PHP IDE
License:        GPLv2+
Group:          Development/Tools
Url:            http://codelite.org
Source0:        https://github.com/eranif/codelite/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         codelite-8.1-deb-remove-bundled-cppcheck.patch
Patch1:         codelite-9.0-deb-remove-bundled-wxsqlite.patch
Patch2:         codelite-8.1-deb-disable-stripping.patch
Patch3:         codelite-8.1-deb-default-no-check-for-updates.patch
Patch4:         codelite-9.0-mga-linking-sqlite3.patch
Patch5:         codelite-9.0-mga-hunspell-1.4.patch
Patch6:         0001-WordCompletion-Fix-build-issue-on-OSX-and-Linux.patch

BuildRequires:  clang-devel >= 3.9.1
BuildRequires:  cmake
BuildRequires:  lldb-devel >= 3.9.1
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(wxsqlite3)
BuildRequires:  wxgtku3.0-devel
Recommends:     gcc
Recommends:     xterm

%description
CodeLite uses a sophisticated, yet intuitive interface which allows
users to easily create, build and debug complex projects.

It provides built-in support for GCC/Clang/VC++ compilers and debugging
using GDB.

%prep
%setup -q
%autopatch -p1

# Make sure we don't build against (wx)sqlite3
rm -rf sdk/databaselayer/src/sqlite3 sdk/wxsqlite3 sqlite3

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib} \
       -DCMAKE_SKIP_RPATH=OFF \
       -DENABLE_CLANG=1 \
       -DENABLE_LLDB=1
%make_build

%install
%make_install -C build

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS LICENSE COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-cc
%{_bindir}/%{name}-echo
%{_bindir}/%{name}-lldb
%{_bindir}/%{name}-make
%{_bindir}/%{name}-terminal
%{_bindir}/%{name}_exec
%{_bindir}/%{name}_fix_files
%{_bindir}/%{name}_indexer
%{_bindir}/%{name}_kill_children
%{_bindir}/%{name}_xterm
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*.1*


%changelog
* Wed Mar 29 2017 neoclust <neoclust> 9.2-4.mga6
+ Revision: 1095188
- Rebuild for armv5

* Sat Jan 07 2017 tmb <tmb> 9.2-3.mga6
+ Revision: 1080479
- rebuild with new llvm

* Mon Jan 02 2017 daviddavid <daviddavid> 9.2-2.mga6
+ Revision: 1079613
- rebuild for new wxsqlite3 3.4.1

* Mon Sep 19 2016 akien <akien> 9.2-1.mga6
+ Revision: 1054379
- Version 9.2

* Wed Jul 13 2016 daviddavid <daviddavid> 9.1-4.mga6
+ Revision: 1041893
- rebuild for new lldb 3.8.1

* Thu Jun 02 2016 daviddavid <daviddavid> 9.1-3.mga6
+ Revision: 1020007
- rebuild for wxgtk3.0 built with GTK2

* Thu May 19 2016 akien <akien> 9.1-2.mga6
+ Revision: 1017035
- Don't skip RPATH, needed for plugins
- Enable Clang and LLDB support

* Thu May 19 2016 akien <akien> 9.1-1.mga6
+ Revision: 1016991
- Version 9.1

* Tue Apr 26 2016 daviddavid <daviddavid> 9.0-3.mga6
+ Revision: 1006443
- add patch to fix libhunspell-1.4 detection

* Thu Apr 21 2016 tv <tv> 9.0-2.mga6
+ Revision: 1004204
- rebuid for libhunspell 1.4

* Sun Jan 03 2016 akien <akien> 9.0-1.mga6
+ Revision: 919223
- Version 9.0
- Rediff P1, split sqlite3 linking fix into P4

* Sun Oct 04 2015 akien <akien> 8.1-0.mga6
+ Revision: 886203
- Version 8.1
- Build against wxGTK 3.0
- Unbundle wxsqlite3 and cppcheck

* Wed Oct 15 2014 umeabot <umeabot> 3.5.5375-9.mga5
+ Revision: 740106
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 3.5.5375-8.mga5
+ Revision: 693655
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.5.5375-7.mga5
+ Revision: 678465
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.5.5375-6.mga4
+ Revision: 503477
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.5.5375-5.mga3
+ Revision: 347980
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 dams <dams> 3.5.5375-4.mga2
+ Revision: 217427
- add category='IDE' in desktop file

* Sat Mar 03 2012 dams <dams> 3.5.5375-3.mga2
+ Revision: 217389
- new version 3.5.5375
- rediff patch
- clean spec file

* Wed Sep 14 2011 fwang <fwang> 2.10.0.4778-3.mga2
+ Revision: 143353
- disable parallel build
- rebuild for new libpng
- fix linkage
- fix build
- new version 2.10.0.4778

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs
    - Add BR desktop-file-utils

* Thu Mar 31 2011 ennael <ennael> 2.8.0.4537-2.mga1
+ Revision: 79205
- fix group name (#512)

* Tue Mar 15 2011 jquelin <jquelin> 2.8.0.4537-1.mga1
+ Revision: 71632
- using %%mkrel

  + yuri_myasoedov <yuri_myasoedov>
    - Removed prefix and libdir from %%configure, %%mkrel is set to 1
    - spec improved according to Mageia RPM packaging policy
    - imported package codelite

